Bug 72848 - <style scoped>: add ENABLE(STYLE_SCOPED) flag to WebKit
Summary: <style scoped>: add ENABLE(STYLE_SCOPED) flag to WebKit
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Roland Steiner
URL:
Keywords:
Depends on:
Blocks: 49142
  Show dependency treegraph
 
Reported: 2011-11-20 21:20 PST by Roland Steiner
Modified: 2011-11-28 20:52 PST (History)
5 users (show)

See Also:


Attachments
Patch (29.30 KB, patch)
2011-11-20 22:21 PST, Roland Steiner
dglazkov: review+
dglazkov: commit-queue-
Details | Formatted Diff | Diff
patch for EWS (28.15 KB, patch)
2011-11-23 18:21 PST, Roland Steiner
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Roland Steiner 2011-11-20 21:20:34 PST
As <style scoped> will require several patches to fully land, having a flag will avoid potentially shipping half-done code.
Comment 1 Roland Steiner 2011-11-20 22:21:01 PST
Created attachment 116031 [details]
Patch
Comment 2 Dimitri Glazkov (Google) 2011-11-21 09:01:54 PST
Comment on attachment 116031 [details]
Patch

Please take care of the Win failure before landing.
Comment 3 Roland Steiner 2011-11-23 18:21:37 PST
Created attachment 116463 [details]
patch for EWS
Comment 4 Roland Steiner 2011-11-28 20:52:14 PST
Committed r101323: <http://trac.webkit.org/changeset/101323>